Package org.eclipse.graphiti.ui.print

## Interface IPrintPreferences

All Known Implementing Classes:
  `DefaultPrintPreferences`

    public interface IPrintPreferences

A generic interface for preference containers for printing a diagram, which serves as abstraction for generic edit fields which store their values in a preference object

Since:
  0.10

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `getDoublePreference​(int atIndex)` Returns the double value of the preference with the given index.
`int` `getIntPreference​(int atIndex)` Returns the integer value of the preference with the given index.
`void` `setDefaults()` Resets all preferences to their default values.
`void` `setDoublePreference​(int atIndex, double value)` Sets the double preference value of the preference at position atIndex to the given value.
`void` `setIntPreference​(int atIndex, int value)` Sets the integer preference value of the preference at position atIndex to the given value.

### Method Detail

#### setDefaults

    void setDefaults()

Resets all preferences to their default values.

#### setIntPreference

    void setIntPreference​(int atIndex,
                          int value)

Sets the integer preference value of the preference at position atIndex to the given value.

Parameters:
  `atIndex` - The index of the preference to set
  `value` - The new value to set

#### getIntPreference

    int getIntPreference​(int atIndex)

Returns the integer value of the preference with the given index.

Parameters:
  `atIndex` - The index of the preference to return
Returns:
  The value of the preference with the given index as an integer

#### setDoublePreference

    void setDoublePreference​(int atIndex,
                             double value)

Sets the double preference value of the preference at position atIndex to the given value.

Parameters:
  `atIndex` - The index of the preference to set
  `value` - The new value to set

#### getDoublePreference

    double getDoublePreference​(int atIndex)

Returns the double value of the preference with the given index.

Parameters:
  `atIndex` - The index of the preference to return
Returns:
  The value of the preference with the given index as a double